Jump to content

Back to dayzgame.com
Photo

Bad Version, Server Rejected Connection. Any / All problems regarding Beta-Patches for ARMA 2: OA


89 replies to this topic

#1 kichilron

kichilron

    DayZ Mod Developer

  • DayZ Forum Team
  • PipPipPipPipPipPip
  • 5825 posts
  • LocationAccolyte's slave pit

Posted 19 April 2014 - 02:36 PM

Newest DayZ Mod patch was delivered with 1.63.124802, which is only compatible with the Steam-Version of ARMA 2: Operation Arrowhead.

 

 

From now on you can just use the Steam Version of the game, which is recommended, as GameSpy is shutting down. From this point onwards the Steam-Server-Browser will be necessary, which the Beta patch is needed for.

 

ARMA 2: Operation Arrowhead has been deployed as stable-version on Steam. This means you won't have to do anything to be able to play on the newest version, simply download the game from Steam and you're done.

 

Spoiler

 

 

 

If you're trying to run older versions (which is not recommended, as GameSpy shut down) do the following steps when using the Steam Version:

 

Spoiler

 

You can have both versions installed, as they use different folders. An option for this would be to use PlayWithSix, as they officially support it.

 

 

If you happen to have ARMA 2 and ARMA 2 Operation Arrowhead as the Retail-Version / not on Steam, you can now also activate your game in Steam with your Retail CD-Key, simply by clicking "Activate Product on Steam" at the bottom left in the Steam-Client.

 

 

 

If you're getting any errors, such as: "Missing CA_Dubbing_CounterAttack", follow these steps:

 

  1. Rightclick on ARMA 2 in your Steam-List and go to properties --> Local Files --> Browse Local Files
  2. In the ARMA 2 folder copy the contents of the "AddOns"-Folder
  3. Rightlick on ARMA 2: Operation Arrowhead in your Steam-List and go to properties --> Local Files --> Browse Local Files
  4. Paste the files inside "Common"-Folder. That's it. You're set.

Edited by kichilron, 27 October 2014 - 07:56 AM.
Updated.

  • vecuccio, Steak and Potatoes, Fern Baron and 2 others gave their beans

Agree to and understand this before posting.

 

Do not post your Global Ban Appeals. Contact BattlEye for that.

 

Defending a position by citing free speech is the ultimate concession: you're saying that literally the most compelling thing you can say for your position is that it's not illegal to express it.

 

So many problems, so many reason to buy another round, drink it down..

 

The greatest place on the Internet: MustyGaming


#2 kichilron

kichilron

    DayZ Mod Developer

  • DayZ Forum Team
  • PipPipPipPipPipPip
  • 5825 posts
  • LocationAccolyte's slave pit

Posted 10 June 2014 - 04:16 PM

Topic opened for discussion. Please make sure to read the OP, as it will answer most of your questions.


Edited by kichilron, 10 June 2014 - 04:30 PM.

Agree to and understand this before posting.

 

Do not post your Global Ban Appeals. Contact BattlEye for that.

 

Defending a position by citing free speech is the ultimate concession: you're saying that literally the most compelling thing you can say for your position is that it's not illegal to express it.

 

So many problems, so many reason to buy another round, drink it down..

 

The greatest place on the Internet: MustyGaming


#3 OmSanti

OmSanti

    On the Coast

  • Members
  • Pip
  • 7 posts
  • LocationGreece

Posted 10 June 2014 - 08:56 PM

Hello! So i chose the "beta -" thing but i don't understand what you mean afterwards. Where do i fill "--mod=@Dayz" ? Oh and my dropdown menu only has "beta -" and "NONE - Opt out of all beta programs".

 

So i have this problem only on the server who runs 1.62 but i am unable to downgrade. I followed the steps on one of the stickies but i still had the same problem. 


Edited by OmSanti, 10 June 2014 - 09:04 PM.

Is there life before death?


#4 RN_Max

RN_Max

    Survivor

  • Members
  • PipPipPipPipPip
  • 416 posts

Posted 11 June 2014 - 01:51 PM

The new Operation Arrowhead beta is called the "development branch", like BIS developers themselves have referred to it all along.  It is the same for ArmA 3 and DayZ SA.

 

That way all this beta patch talk would have been far clearer far sooner.  Old "beta" patches stopped with 1.63.116523 and were replaced by the development branch at 1.63.124779



#5 OmSanti

OmSanti

    On the Coast

  • Members
  • Pip
  • 7 posts
  • LocationGreece

Posted 11 June 2014 - 02:06 PM

Well i fixed the bad version error by downgrading from 1.63 to 1.62! I had the error where i couldn't downgrade it but i searched a bit and found this guy "  " who solved my problem. Just follow his steps and you will be fine.


  • Koala :3 gave their beans

Is there life before death?


#6 vecuccio

vecuccio

    Survivor

  • Members
  • PipPipPipPipPip
  • 120 posts

Posted 11 June 2014 - 03:33 PM

I followed your extremely straightforward instructions. But how do I get it to use the Steam Browser inside the game ? It has a big GAMESPY logo in the top right. I looked on Reddit, they said there should be somewhere really obvious to click and change from Gamespy to STEAM. Damned if I can see it ?



#7 RN_Max

RN_Max

    Survivor

  • Members
  • PipPipPipPipPip
  • 416 posts

Posted 12 June 2014 - 11:32 PM

It depends on which version of ArmA 2 OA you are running your DayZ on.

 

In any case, when you select 'Multiplayer' from the main game menu, the server browser opens.  In the lower left corner is a big tab normally labelled 'Address:Internet' when the browser has started.

 

 

If you run DayZ  using 'play with beta patch' and use the old beta (obsolete) expansion, which it sounds like you are running because you have a GameSpy logo:

 

Click on that tab and it will cycle between 'Address:Internet', 'Address:LAN' (for locally hosted games) and 'Address:Steam'.  How many people never realised that?  The Steam selection has been there since 116523 that I know of, maybe earlier.

 

As of last week there was one brave server showing in that tab, ELPPAC Gaming and that is still so now.  Why the rest are not listed I have no idea ... there are 13 more right now (see below).

 

 

In the development branch of ArmA 2 OA, that's the new dev branch 1.63.124779 or later:

 

Click on that tab and it will only cycle between 'Address:Internet' and 'Address:LAN' (for locally hosted games).

 

The 'Address: Internet' selection IS the Steam browser in that version of ArmA 2 OA and now there are (... fanfare ...) 14 intrepid random modded servers that have switched on their Steam ports.

 

Of those 14 servers none are official public hive DayZ mod.  Mind I've only found 12 of those left active since v1.8.1 was released and it took most of those two weeks to update.

 

 

My advice, for what it's worth ... for now go back to the beta expansion until GameSpy actually pulls the plug and forces the majority of server hosts and admins to either turn on their Steam ports or die out from lack of players.  All but 14 of the total DayZ mod server population are still on GameSpy only.

 

 

This ArmA 2 OA version shuffling business has caused a whole heap of confusion for players and I presume amongst server hosts/admins, who are failing to keep up or stay informed.  Otherwise the server population would all be running the right version and be pinging on Steam ports.


  • vecuccio gave their beans

#8 Bestadamire

Bestadamire

    Helicopter Hunter

  • Members
  • PipPipPipPip
  • 67 posts

Posted 13 June 2014 - 02:06 AM

I have followed all these instructions and still get connection failure / wrong version. Repeated all steps probably three times and it still doesnt work. Pissing me off.



#9 ronpritch1

ronpritch1

    On the Coast

  • Members
  • Pip
  • 1 posts

Posted 13 June 2014 - 04:20 PM

Good afternoon,

 

I am new to forums and fairly new to the mod.

 

I have been playing the standalone for quite some time and decided to explore the mod for Arma2 \ OA

 

I have tryed seting up DayZ Mod 4 times and can never get a good experience....bad version or server rejections. My version never matches whats online. 

 

I am using Steam and DayZ Commander for installs and updates....and just have been unsuccessful to where is just frustrating.

 

"Bad version"  "Server Rejected Connection"

 

I have followed several guides that have not led me to a successful install where I can join online games, I would post  guides but I am not sure if links are allowed.

 

Can someones please post an up to date guide or direct me to a good guide that will get me setup using Steam version of Arma 2 \ OA

 

Sorry if this a mutliple post but i have tried everything without success. 

 

Thank you,

Ron



#10 kichilron

kichilron

    DayZ Mod Developer

  • DayZ Forum Team
  • PipPipPipPipPipPip
  • 5825 posts
  • LocationAccolyte's slave pit

Posted 13 June 2014 - 04:23 PM

I have followed all these instructions and still get connection failure / wrong version. Repeated all steps probably three times and it still doesnt work. Pissing me off.

 

Make sure you're starting the correct version of the mod and to take a look which version the server you're trying to join actually has, as this is extremely important.

 

 

 

 

 

Merged. Make sure to post in the correct section, as you are more than likely to find a pinned topic about your problem already.


Agree to and understand this before posting.

 

Do not post your Global Ban Appeals. Contact BattlEye for that.

 

Defending a position by citing free speech is the ultimate concession: you're saying that literally the most compelling thing you can say for your position is that it's not illegal to express it.

 

So many problems, so many reason to buy another round, drink it down..

 

The greatest place on the Internet: MustyGaming


#11 Bestadamire

Bestadamire

    Helicopter Hunter

  • Members
  • PipPipPipPip
  • 67 posts

Posted 14 June 2014 - 01:17 AM

I am. I launch into server with same Epoch version, same Arma version and i still get the error. Still pissing me off.

Flexxo uploaded screenshots on this page, that was closed, and he is having the EXACT same problem as me.

http://forums.dayzga...nnection/page-5


Edited by Bestadamire, 14 June 2014 - 01:22 AM.


#12 kichilron

kichilron

    DayZ Mod Developer

  • DayZ Forum Team
  • PipPipPipPipPipPip
  • 5825 posts
  • LocationAccolyte's slave pit

Posted 14 June 2014 - 02:46 AM

I am. I launch into server with same Epoch version, same Arma version and i still get the error. Still pissing me off.

 

 

If you actually have the same version as the server you're not getting kicked. Take a look at your Main Menu and / or post a screenshot of it.

 

If you do have th e same version as displayed in the servername (Beta that is, not mod-version), it's the Admins fault.


Agree to and understand this before posting.

 

Do not post your Global Ban Appeals. Contact BattlEye for that.

 

Defending a position by citing free speech is the ultimate concession: you're saying that literally the most compelling thing you can say for your position is that it's not illegal to express it.

 

So many problems, so many reason to buy another round, drink it down..

 

The greatest place on the Internet: MustyGaming


#13 Bestadamire

Bestadamire

    Helicopter Hunter

  • Members
  • PipPipPipPip
  • 67 posts

Posted 14 June 2014 - 03:00 AM

I am sure my versions match and I have tried it on multiple servers. I will upload ss soon.


  • kichilron gave their beans

#14 fattboi94

fattboi94

    On the Coast

  • Members
  • Pip
  • 5 posts

Posted 15 June 2014 - 03:26 PM

In order to play Overpoch, do we have to do the same thing. I have everything installed properly, but when I go to Steam and chose a beta, it has multiple version; beta112555 - , beta108074 -; which one do I choose because I keep getting "Bad Version, Rejected From Server". I keep hearing people say run Arma 2 OA Beta, but I still get the same error.



#15 kichilron

kichilron

    DayZ Mod Developer

  • DayZ Forum Team
  • PipPipPipPipPipPip
  • 5825 posts
  • LocationAccolyte's slave pit

Posted 15 June 2014 - 04:00 PM

In order to play Overpoch, do we have to do the same thing. I have everything installed properly, but when I go to Steam and chose a beta, it has multiple version; beta112555 - , beta108074 -; which one do I choose because I keep getting "Bad Version, Rejected From Server". I keep hearing people say run Arma 2 OA Beta, but I still get the same error.

 

This is covered in the OP.

 

Topic opened for discussion. Please make sure to read the OP, as it will answer most of your questions.


Agree to and understand this before posting.

 

Do not post your Global Ban Appeals. Contact BattlEye for that.

 

Defending a position by citing free speech is the ultimate concession: you're saying that literally the most compelling thing you can say for your position is that it's not illegal to express it.

 

So many problems, so many reason to buy another round, drink it down..

 

The greatest place on the Internet: MustyGaming


#16 fattboi94

fattboi94

    On the Coast

  • Members
  • Pip
  • 5 posts

Posted 15 June 2014 - 09:12 PM

Which beta do I choose? Thats not covered in the OP neither is Overpoch.

#17 kichilron

kichilron

    DayZ Mod Developer

  • DayZ Forum Team
  • PipPipPipPipPipPip
  • 5825 posts
  • LocationAccolyte's slave pit

Posted 15 June 2014 - 09:18 PM

Which beta do I choose? Thats not covered in the OP neither is Overpoch.

 

 

It's because it's covered in the servername, not in my topic. If it is 103718, you use 108074 (which is covered in the OP).

 

If it's not either of those, you need to use newer versions and launch them appropriately.

 

Overpoch has nothing to do with us, and we don't support in any way.


Agree to and understand this before posting.

 

Do not post your Global Ban Appeals. Contact BattlEye for that.

 

Defending a position by citing free speech is the ultimate concession: you're saying that literally the most compelling thing you can say for your position is that it's not illegal to express it.

 

So many problems, so many reason to buy another round, drink it down..

 

The greatest place on the Internet: MustyGaming


#18 fattboi94

fattboi94

    On the Coast

  • Members
  • Pip
  • 5 posts

Posted 15 June 2014 - 10:11 PM

So I did everything in the OP, but im still getting the error. People are telling me its Arma 2 OA Beta. Some say I sould uninstall it. I have no clue whats the problem.

#19 kichilron

kichilron

    DayZ Mod Developer

  • DayZ Forum Team
  • PipPipPipPipPipPip
  • 5825 posts
  • LocationAccolyte's slave pit

Posted 15 June 2014 - 10:17 PM

Yes, but you still did not answer the obvious question - what is the server-version?


Agree to and understand this before posting.

 

Do not post your Global Ban Appeals. Contact BattlEye for that.

 

Defending a position by citing free speech is the ultimate concession: you're saying that literally the most compelling thing you can say for your position is that it's not illegal to express it.

 

So many problems, so many reason to buy another round, drink it down..

 

The greatest place on the Internet: MustyGaming


#20 fattboi94

fattboi94

    On the Coast

  • Members
  • Pip
  • 5 posts

Posted 15 June 2014 - 11:06 PM

1.62 I figured out what was wrong. I was on the Arma 2 OA Beta, Not Arma 2 OA, So now that I did that, when i go into DayZ Commander it says Update Arma 2 OA. Should I?


Edited by fattboi94, 15 June 2014 - 11:08 PM.